diff -urN linux-2.6.0-test1/arch/mips/kernel/smp.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/smp.c
--- linux-2.6.0-test1/arch/mips/kernel/smp.c	2003-07-13 23:31:20.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/smp.c	2003-07-17 16:51:32.000000000 -0400
@@ -110,10 +110,10 @@
 	cacheflush_time = (cpu_khz>>10) * (cachesize<<10) / bandwidth;
 	cache_decay_ticks = (long)cacheflush_time/cpu_khz * HZ / 1000;
 
-	printk("per-CPU timeslice cutoff: %ld.%02ld usecs.\n",
+	printk(KERN_NOTICE "per-CPU timeslice cutoff: %ld.%02ld usecs.\n",
 		(long)cacheflush_time/(cpu_khz/1000),
 		((long)cacheflush_time*100/(cpu_khz/1000)) % 100);
-	printk("task migration cache decay timeout: %ld msecs.\n",
+	printk(KERN_NOTICE "task migration cache decay timeout: %ld msecs.\n",
 		(cache_decay_ticks + 1) * 1000 / HZ);
 }
 
@@ -145,7 +145,7 @@
 	pgd_current[cpu] = init_mm.pgd;
 	cpu_data[cpu].udelay_val = loops_per_jiffy;
 	prom_smp_finish();
-	printk("Slave cpu booted successfully\n");
+	printk(KERN_NOTICE "Slave cpu booted successfully\n");
 	CPUMASK_SETB(cpu_online_map, cpu);
 	atomic_inc(&cpus_booted);
 	cpu_idle();
diff -urN linux-2.6.0-test1/arch/mips/kernel/sysirix.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/sysirix.c
--- linux-2.6.0-test1/arch/mips/kernel/sysirix.c	2003-07-13 23:38:01.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/sysirix.c	2003-07-17 17:52:37.000000000 -0400
@@ -63,7 +63,7 @@
 		error = num_online_cpus();
 		break;
 	default:
-		printk("SYSMP[%s:%d]: Unsupported opcode %d\n",
+		printk(KERN_ERR "SYSMP[%s:%d]: Unsupported opcode %d\n",
 		       current->comm, current->pid, (int)cmd);
 		error = -EINVAL;
 		break;
@@ -100,7 +100,7 @@
 	cmd = regs->regs[base + 4];
 	switch (cmd) {
 	case PR_MAXPROCS:
-		printk("irix_prctl[%s:%d]: Wants PR_MAXPROCS\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_MAXPROCS\n",
 		       current->comm, current->pid);
 		error = max_threads;
 		break;
@@ -108,7 +108,7 @@
 	case PR_ISBLOCKED: {
 		struct task_struct *task;
 
-		printk("irix_prctl[%s:%d]: Wants PR_ISBLOCKED\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_ISBLOCKED\n",
 		       current->comm, current->pid);
 		read_lock(&tasklist_lock);
 		task = find_task_by_pid(regs->regs[base + 5]);
@@ -123,7 +123,7 @@
 	case PR_SETSTACKSIZE: {
 		long value = regs->regs[base + 5];
 
-		printk("irix_prctl[%s:%d]: Wants PR_SETSTACKSIZE<%08lx>\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_SETSTACKSIZE<%08lx>\n",
 		       current->comm, current->pid, (unsigned long) value);
 		if (value > RLIM_INFINITY)
 			value = RLIM_INFINITY;
@@ -143,25 +143,25 @@
 	}
 
 	case PR_GETSTACKSIZE:
-		printk("irix_prctl[%s:%d]: Wants PR_GETSTACKSIZE\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_GETSTACKSIZE\n",
 		       current->comm, current->pid);
 		error = current->rlim[RLIMIT_STACK].rlim_cur;
 		break;
 
 	case PR_MAXPPROCS:
-		printk("irix_prctl[%s:%d]: Wants PR_MAXPROCS\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_MAXPROCS\n",
 		       current->comm, current->pid);
 		error = 1;
 		break;
 
 	case PR_UNBLKONEXEC:
-		printk("irix_prctl[%s:%d]: Wants PR_UNBLKONEXEC\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_UNBLKONEXEC\n",
 		       current->comm, current->pid);
 		error = -EINVAL;
 		break;
 
 	case PR_SETEXITSIG:
-		printk("irix_prctl[%s:%d]: Wants PR_SETEXITSIG\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_SETEXITSIG\n",
 		       current->comm, current->pid);
 
 		/* We can probably play some game where we set the task
@@ -172,31 +172,31 @@
 		break;
 
 	case PR_RESIDENT:
-		printk("irix_prctl[%s:%d]: Wants PR_RESIDENT\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_RESIDENT\n",
 		       current->comm, current->pid);
 		error = 0; /* Compatibility indeed. */
 		break;
 
 	case PR_ATTACHADDR:
-		printk("irix_prctl[%s:%d]: Wants PR_ATTACHADDR\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_ATTACHADDR\n",
 		       current->comm, current->pid);
 		error = -EINVAL;
 		break;
 
 	case PR_DETACHADDR:
-		printk("irix_prctl[%s:%d]: Wants PR_DETACHADDR\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_DETACHADDR\n",
 		       current->comm, current->pid);
 		error = -EINVAL;
 		break;
 
 	case PR_TERMCHILD:
-		printk("irix_prctl[%s:%d]: Wants PR_TERMCHILD\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_TERMCHILD\n",
 		       current->comm, current->pid);
 		error = -EINVAL;
 		break;
 
 	case PR_GETSHMASK:
-		printk("irix_prctl[%s:%d]: Wants PR_GETSHMASK\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_GETSHMASK\n",
 		       current->comm, current->pid);
 		error = -EINVAL; /* Until I have the sproc() stuff in. */
 		break;
@@ -206,24 +206,24 @@
 		break;
 
 	case PR_COREPID:
-		printk("irix_prctl[%s:%d]: Wants PR_COREPID\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_COREPID\n",
 		       current->comm, current->pid);
 		error = -EINVAL;
 		break;
 
 	case PR_ATTACHADDRPERM:
-		printk("irix_prctl[%s:%d]: Wants PR_ATTACHADDRPERM\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_ATTACHADDRPERM\n",
 		       current->comm, current->pid);
 		error = -EINVAL;
 		break;
 
 	case PR_PTHREADEXIT:
-		printk("irix_prctl[%s:%d]: Wants PR_PTHREADEXIT\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Wants PR_PTHREADEXIT\n",
 		       current->comm, current->pid);
 		do_exit(regs->regs[base + 5]);
 
 	default:
-		printk("irix_prctl[%s:%d]: Non-existant opcode %d\n",
+		printk(KERN_WARNING "irix_prctl[%s:%d]: Non-existant opcode %d\n",
 		       current->comm, current->pid, (int)cmd);
 		error = -EINVAL;
 		break;
@@ -335,7 +335,7 @@
 		return -EINVAL;	/* til I fix it */
 		retval = prom_setenv(name, value);
 		/* XXX make sure retval conforms to syssgi(2) */
-		printk("[%s:%d] setnvram(\"%s\", \"%s\"): retval %d",
+		printk(KERN_NOTICE "[%s:%d] setnvram(\"%s\", \"%s\"): retval %d",
 		       current->comm, current->pid, name, value, retval);
 /*		if (retval == PROM_ENOENT)
 		  	retval = -ENOENT; */
@@ -345,14 +345,14 @@
 
 	case SGI_SETPGID: {
 #ifdef DEBUG_PROCGRPS
-		printk("[%s:%d] setpgid(%d, %d) ",
+		printk(KERN_DEBUG "[%s:%d] setpgid(%d, %d) ",
 		       current->comm, current->pid,
 		       (int) regs->regs[base + 5], (int)regs->regs[base + 6]);
 #endif
 		retval = sys_setpgid(regs->regs[base + 5], regs->regs[base + 6]);
 
 #ifdef DEBUG_PROCGRPS
-		printk("retval=%d\n", retval);
+		printk(KERN_DEBUG "retval=%d\n", retval);
 #endif
 	}
 
@@ -442,12 +442,12 @@
 
 	case SGI_GETSID:
 #ifdef DEBUG_PROCGRPS
-		printk("[%s:%d] getsid(%d) ", current->comm, current->pid,
+		printk(KERN_DEBUG "[%s:%d] getsid(%d) ", current->comm, current->pid,
 		       (int) regs->regs[base + 5]);
 #endif
 		retval = sys_getsid(regs->regs[base + 5]);
 #ifdef DEBUG_PROCGRPS
-		printk("retval=%d\n", retval);
+		printk(KERN_DEBUG "retval=%d\n", retval);
 #endif
 		break;
 
@@ -514,7 +514,7 @@
 	}
 
 	default:
-		printk("irix_syssgi: Unsupported command %d\n", (int)cmd);
+		printk(KERN_ERR "irix_syssgi: Unsupported command %d\n", (int)cmd);
 		retval = -EINVAL;
 		break;
 	};
@@ -704,7 +704,7 @@
 asmlinkage int irix_mount(char *dev_name, char *dir_name, unsigned long flags,
 			  char *type, void *data, int datalen)
 {
-	printk("[%s:%d] irix_mount(%p,%p,%08lx,%p,%p,%d)\n",
+	printk(KERN_NOTICE "[%s:%d] irix_mount(%p,%p,%08lx,%p,%p,%d)\n",
 	       current->comm, current->pid,
 	       dev_name, dir_name, flags, type, data, datalen);
 
@@ -803,14 +803,14 @@
 	int error;
 
 #ifdef DEBUG_PROCGRPS
-	printk("[%s:%d] setpgrp(%d) ", current->comm, current->pid, flags);
+	printk(KERN_DEBUG "[%s:%d] setpgrp(%d) ", current->comm, current->pid, flags);
 #endif
 	if(!flags)
 		error = current->pgrp;
 	else
 		error = sys_setsid();
 #ifdef DEBUG_PROCGRPS
-	printk("returning %d\n", current->pgrp);
+	printk(KERN_DEBUG "returning %d\n", current->pgrp);
 #endif
 
 	return error;
@@ -872,7 +872,7 @@
 
 asmlinkage unsigned long irix_gethostid(void)
 {
-	printk("[%s:%d]: irix_gethostid() called...\n",
+	printk(KERN_ERR "[%s:%d]: irix_gethostid() called...\n",
 	       current->comm, current->pid);
 
 	return -EINVAL;
@@ -880,7 +880,7 @@
 
 asmlinkage unsigned long irix_sethostid(unsigned long val)
 {
-	printk("[%s:%d]: irix_sethostid(%08lx) called...\n",
+	printk(KERN_ERR "[%s:%d]: irix_sethostid(%08lx) called...\n",
 	       current->comm, current->pid, val);
 
 	return -EINVAL;
@@ -1111,7 +1111,7 @@
 
 asmlinkage int irix_madvise(unsigned long addr, int len, int behavior)
 {
-	printk("[%s:%d] Wheee.. irix_madvise(%08lx,%d,%d)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_madvise(%08lx,%d,%d)\n",
 	       current->comm, current->pid, addr, len, behavior);
 
 	return -EINVAL;
@@ -1119,7 +1119,7 @@
 
 asmlinkage int irix_pagelock(char *addr, int len, int op)
 {
-	printk("[%s:%d] Wheee.. irix_pagelock(%p,%d,%d)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_pagelock(%p,%d,%d)\n",
 	       current->comm, current->pid, addr, len, op);
 
 	return -EINVAL;
@@ -1127,7 +1127,7 @@
 
 asmlinkage int irix_quotactl(struct pt_regs *regs)
 {
-	printk("[%s:%d] Wheee.. irix_quotactl()\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_quotactl()\n",
 	       current->comm, current->pid);
 
 	return -EINVAL;
@@ -1138,7 +1138,7 @@
 	int error;
 
 #ifdef DEBUG_PROCGRPS
-	printk("[%s:%d] BSDsetpgrp(%d, %d) ", current->comm, current->pid,
+	printk(KERN_DEBUG "[%s:%d] BSDsetpgrp(%d, %d) ", current->comm, current->pid,
 	       pid, pgrp);
 #endif
 	if(!pid)
@@ -1151,7 +1151,7 @@
 		error = sys_setpgid(pid, pgrp);
 
 #ifdef DEBUG_PROCGRPS
-	printk("error = %d\n", error);
+	printk(KERN_DEBUG "error = %d\n", error);
 #endif
 
 	return error;
@@ -1159,7 +1159,7 @@
 
 asmlinkage int irix_systeminfo(int cmd, char *buf, int cnt)
 {
-	printk("[%s:%d] Wheee.. irix_systeminfo(%d,%p,%d)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_systeminfo(%d,%p,%d)\n",
 	       current->comm, current->pid, cmd, buf, cnt);
 
 	return -EINVAL;
@@ -1287,7 +1287,7 @@
 	struct kstat stat;
 
 #ifdef DEBUG_XSTAT
-	printk("[%s:%d] Wheee.. irix_xstat(%d,%s,%p) ",
+	printk(KERN_DEBUG "[%s:%d] Wheee.. irix_xstat(%d,%s,%p) ",
 	       current->comm, current->pid, version, filename, statbuf);
 #endif
 
@@ -1314,7 +1314,7 @@
 	struct kstat stat;
 
 #ifdef DEBUG_XSTAT
-	printk("[%s:%d] Wheee.. irix_lxstat(%d,%s,%p) ",
+	printk(KERN_DEBUG "[%s:%d] Wheee.. irix_lxstat(%d,%s,%p) ",
 	       current->comm, current->pid, version, filename, statbuf);
 #endif
 
@@ -1342,7 +1342,7 @@
 	struct kstat stat;
 
 #ifdef DEBUG_XSTAT
-	printk("[%s:%d] Wheee.. irix_fxstat(%d,%d,%p) ",
+	printk(KERN_DEBUG "[%s:%d] Wheee.. irix_fxstat(%d,%d,%p) ",
 	       current->comm, current->pid, version, fd, statbuf);
 #endif
 
@@ -1369,7 +1369,7 @@
 {
 	int retval;
 
-	printk("[%s:%d] Wheee.. irix_xmknod(%d,%s,%x,%x)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_xmknod(%d,%s,%x,%x)\n",
 	       current->comm, current->pid, ver, filename, mode, (int) dev);
 
 	switch(ver) {
@@ -1387,7 +1387,7 @@
 
 asmlinkage int irix_swapctl(int cmd, char *arg)
 {
-	printk("[%s:%d] Wheee.. irix_swapctl(%d,%p)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_swapctl(%d,%p)\n",
 	       current->comm, current->pid, cmd, arg);
 
 	return -EINVAL;
@@ -1407,7 +1407,7 @@
 	struct statfs kbuf;
 	int error, i;
 
-	printk("[%s:%d] Wheee.. irix_statvfs(%s,%p)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_statvfs(%s,%p)\n",
 	       current->comm, current->pid, fname, buf);
 	error = verify_area(VERIFY_WRITE, buf, sizeof(struct irix_statvfs));
 	if (error)
@@ -1453,7 +1453,7 @@
 	struct file *file;
 	int error, i;
 
-	printk("[%s:%d] Wheee.. irix_fstatvfs(%d,%p)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_fstatvfs(%d,%p)\n",
 	       current->comm, current->pid, fd, buf);
 
 	error = verify_area(VERIFY_WRITE, buf, sizeof(struct irix_statvfs));
@@ -1494,7 +1494,7 @@
 
 asmlinkage int irix_priocntl(struct pt_regs *regs)
 {
-	printk("[%s:%d] Wheee.. irix_priocntl()\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_priocntl()\n",
 	       current->comm, current->pid);
 
 	return -EINVAL;
@@ -1502,7 +1502,7 @@
 
 asmlinkage int irix_sigqueue(int pid, int sig, int code, int val)
 {
-	printk("[%s:%d] Wheee.. irix_sigqueue(%d,%d,%d,%d)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_sigqueue(%d,%d,%d,%d)\n",
 	       current->comm, current->pid, pid, sig, code, val);
 
 	return -EINVAL;
@@ -1615,7 +1615,7 @@
 
 asmlinkage int irix_dmi(struct pt_regs *regs)
 {
-	printk("[%s:%d] Wheee.. irix_dmi()\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_dmi()\n",
 	       current->comm, current->pid);
 
 	return -EINVAL;
@@ -1624,7 +1624,7 @@
 asmlinkage int irix_pread(int fd, char *buf, int cnt, int off64,
 			  int off1, int off2)
 {
-	printk("[%s:%d] Wheee.. irix_pread(%d,%p,%d,%d,%d,%d)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_pread(%d,%p,%d,%d,%d,%d)\n",
 	       current->comm, current->pid, fd, buf, cnt, off64, off1, off2);
 
 	return -EINVAL;
@@ -1633,7 +1633,7 @@
 asmlinkage int irix_pwrite(int fd, char *buf, int cnt, int off64,
 			   int off1, int off2)
 {
-	printk("[%s:%d] Wheee.. irix_pwrite(%d,%p,%d,%d,%d,%d)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_pwrite(%d,%p,%d,%d,%d,%d)\n",
 	       current->comm, current->pid, fd, buf, cnt, off64, off1, off2);
 
 	return -EINVAL;
@@ -1643,7 +1643,7 @@
 				unsigned long arg2, unsigned long arg3,
 				unsigned long arg4, unsigned long arg5)
 {
-	printk("[%s:%d] Wheee.. irix_fastpath(%d,%08lx,%08lx,%08lx,%08lx,"
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_fastpath(%d,%08lx,%08lx,%08lx,%08lx,"
 	       "%08lx,%08lx)\n",
 	       current->comm, current->pid, cmd, arg0, arg1, arg2,
 	       arg3, arg4, arg5);
@@ -1668,7 +1668,7 @@
 	struct statfs kbuf;
 	int error, i;
 
-	printk("[%s:%d] Wheee.. irix_statvfs(%s,%p)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_statvfs(%s,%p)\n",
 	       current->comm, current->pid, fname, buf);
 	error = verify_area(VERIFY_WRITE, buf, sizeof(struct irix_statvfs));
 	if(error)
@@ -1714,7 +1714,7 @@
 	struct file *file;
 	int error, i;
 
-	printk("[%s:%d] Wheee.. irix_fstatvfs(%d,%p)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_fstatvfs(%d,%p)\n",
 	       current->comm, current->pid, fd, buf);
 
 	error = verify_area(VERIFY_WRITE, buf, sizeof(struct irix_statvfs));
@@ -1757,7 +1757,7 @@
 {
 	int err;
 
-	printk("[%s:%d] irix_getmountid(%s, %p)\n",
+	printk(KERN_ERR "[%s:%d] irix_getmountid(%s, %p)\n",
 	       current->comm, current->pid, fname, midbuf);
 	err = verify_area(VERIFY_WRITE, midbuf, (sizeof(unsigned long) * 4));
 	if (err)
@@ -1780,7 +1780,7 @@
 asmlinkage int irix_nsproc(unsigned long entry, unsigned long mask,
 			   unsigned long arg, unsigned long sp, int slen)
 {
-	printk("[%s:%d] Wheee.. irix_nsproc(%08lx,%08lx,%08lx,%08lx,%d)\n",
+	printk(KERN_ERR "[%s:%d] Wheee.. irix_nsproc(%08lx,%08lx,%08lx,%08lx,%d)\n",
 	       current->comm, current->pid, entry, mask, arg, sp, slen);
 
 	return -EINVAL;
@@ -1814,7 +1814,7 @@
 	unsigned short reclen = ROUND_UP32(NAME_OFFSET32(dirent) + namlen + 1);
 
 #ifdef DEBUG_GETDENTS
-	printk("\nirix_filldir32[reclen<%d>namlen<%d>count<%d>]",
+	printk(KERN_DEBUG "\nirix_filldir32[reclen<%d>namlen<%d>count<%d>]",
 	       reclen, namlen, buf->count);
 #endif
 	buf->error = -EINVAL;	/* only used if we fail.. */
@@ -1845,7 +1845,7 @@
 	int error;
 
 #ifdef DEBUG_GETDENTS
-	printk("[%s:%d] ngetdents(%d, %p, %d, %p) ", current->comm,
+	printk(KERN_DEBUG "[%s:%d] ngetdents(%d, %p, %d, %p) ", current->comm,
 	       current->pid, fd, dirent, count, eob);
 #endif
 	error = -EBADF;
@@ -1875,7 +1875,7 @@
 	}
 
 #ifdef DEBUG_GETDENTS
-	printk("eob=%d returning %d\n", *eob, count - buf.count);
+	printk(KERN_DEBUG "eob=%d returning %d\n", *eob, count - buf.count);
 #endif
 	error = count - buf.count;
 
@@ -1937,7 +1937,7 @@
 	int error;
 
 #ifdef DEBUG_GETDENTS
-	printk("[%s:%d] getdents64(%d, %p, %d) ", current->comm,
+	printk(KERN_DEBUG "[%s:%d] getdents64(%d, %p, %d) ", current->comm,
 	       current->pid, fd, dirent, cnt);
 #endif
 	error = -EBADF;
@@ -1966,7 +1966,7 @@
 	}
 	lastdirent->d_off = (u64) file->f_pos;
 #ifdef DEBUG_GETDENTS
-	printk("returning %d\n", cnt - buf.count);
+	printk(KERN_DEBUG "returning %d\n", cnt - buf.count);
 #endif
 	error = cnt - buf.count;
 
@@ -1984,7 +1984,7 @@
 	int error;
 
 #ifdef DEBUG_GETDENTS
-	printk("[%s:%d] ngetdents64(%d, %p, %d) ", current->comm,
+	printk(KERN_DEBUG "[%s:%d] ngetdents64(%d, %p, %d) ", current->comm,
 	       current->pid, fd, dirent, cnt);
 #endif
 	error = -EBADF;
@@ -2015,7 +2015,7 @@
 	}
 	lastdirent->d_off = (u64) file->f_pos;
 #ifdef DEBUG_GETDENTS
-	printk("eob=%d returning %d\n", *eob, cnt - buf.count);
+	printk(KERN_DEBUG "eob=%d returning %d\n", *eob, cnt - buf.count);
 #endif
 	error = cnt - buf.count;
 
@@ -2032,41 +2032,41 @@
 	switch (op) {
 	case 1:
 		/* Reboot */
-		printk("[%s:%d] irix_uadmin: Wants to reboot...\n",
+		printk(KERN_WARNING "[%s:%d] irix_uadmin: Wants to reboot...\n",
 		       current->comm, current->pid);
 		retval = -EINVAL;
 		goto out;
 
 	case 2:
 		/* Shutdown */
-		printk("[%s:%d] irix_uadmin: Wants to shutdown...\n",
+		printk(KERN_WARNING "[%s:%d] irix_uadmin: Wants to shutdown...\n",
 		       current->comm, current->pid);
 		retval = -EINVAL;
 		goto out;
 
 	case 4:
 		/* Remount-root */
-		printk("[%s:%d] irix_uadmin: Wants to remount root...\n",
+		printk(KERN_WARNING "[%s:%d] irix_uadmin: Wants to remount root...\n",
 		       current->comm, current->pid);
 		retval = -EINVAL;
 		goto out;
 
 	case 8:
 		/* Kill all tasks. */
-		printk("[%s:%d] irix_uadmin: Wants to kill all tasks...\n",
+		printk(KERN_WARNING "[%s:%d] irix_uadmin: Wants to kill all tasks...\n",
 		       current->comm, current->pid);
 		retval = -EINVAL;
 		goto out;
 
 	case 256:
 		/* Set magic mushrooms... */
-		printk("[%s:%d] irix_uadmin: Wants to set magic mushroom[%d]...\n",
+		printk(KERN_WARNING "[%s:%d] irix_uadmin: Wants to set magic mushroom[%d]...\n",
 		       current->comm, current->pid, (int) func);
 		retval = -EINVAL;
 		goto out;
 
 	default:
-		printk("[%s:%d] irix_uadmin: Unknown operation [%d]...\n",
+		printk(KERN_ERR "[%s:%d] irix_uadmin: Unknown operation [%d]...\n",
 		       current->comm, current->pid, (int) op);
 		retval = -EINVAL;
 		goto out;
@@ -2088,20 +2088,20 @@
 
 	case 2:
 		/* ustat() */
-		printk("[%s:%d] irix_utssys: Wants to do ustat()\n",
+		printk(KERN_ERR "[%s:%d] irix_utssys: Wants to do ustat()\n",
 		       current->comm, current->pid);
 		retval = -EINVAL;
 		goto out;
 
 	case 3:
 		/* fusers() */
-		printk("[%s:%d] irix_utssys: Wants to do fusers()\n",
+		printk(KERN_ERR "[%s:%d] irix_utssys: Wants to do fusers()\n",
 		       current->comm, current->pid);
 		retval = -EINVAL;
 		goto out;
 
 	default:
-		printk("[%s:%d] irix_utssys: Wants to do unknown type[%d]\n",
+		printk(KERN_ERR "[%s:%d] irix_utssys: Wants to do unknown type[%d]\n",
 		       current->comm, current->pid, (int) type);
 		retval = -EINVAL;
 		goto out;
@@ -2123,7 +2123,7 @@
 	int retval;
 
 #ifdef DEBUG_FCNTL
-	printk("[%s:%d] irix_fcntl(%d, %d, %d) ", current->comm,
+	printk(KERN_DEBUG "[%s:%d] irix_fcntl(%d, %d, %d) ", current->comm,
 	       current->pid, fd, cmd, arg);
 #endif
 	if (cmd == IRIX_F_ALLOCSP){
@@ -2131,7 +2131,7 @@
 	}
 	retval = sys_fcntl(fd, cmd, arg);
 #ifdef DEBUG_FCNTL
-	printk("%d\n", retval);
+	printk(KERN_DEBUG "%d\n", retval);
 #endif
 	return retval;
 }
@@ -2142,26 +2142,26 @@
 
 	switch(cmd) {
 	case 1:
-		printk("[%s:%d] irix_ulimit: Wants to get file size limit.\n",
+		printk(KERN_WARNING "[%s:%d] irix_ulimit: Wants to get file size limit.\n",
 		       current->comm, current->pid);
 		retval = -EINVAL;
 		goto out;
 
 	case 2:
-		printk("[%s:%d] irix_ulimit: Wants to set file size limit.\n",
+		printk(KERN_WARNING "[%s:%d] irix_ulimit: Wants to set file size limit.\n",
 		       current->comm, current->pid);
 		retval = -EINVAL;
 		goto out;
 
 	case 3:
-		printk("[%s:%d] irix_ulimit: Wants to get brk limit.\n",
+		printk(KERN_WARNING "[%s:%d] irix_ulimit: Wants to get brk limit.\n",
 		       current->comm, current->pid);
 		retval = -EINVAL;
 		goto out;
 
 	case 4:
 #if 0
-		printk("[%s:%d] irix_ulimit: Wants to get fd limit.\n",
+		printk(KERN_WARNING "[%s:%d] irix_ulimit: Wants to get fd limit.\n",
 		       current->comm, current->pid);
 		retval = -EINVAL;
 		goto out;
@@ -2170,13 +2170,13 @@
 		goto out;
 
 	case 5:
-		printk("[%s:%d] irix_ulimit: Wants to get txt offset.\n",
+		printk(KERN_WARNING "[%s:%d] irix_ulimit: Wants to get txt offset.\n",
 		       current->comm, current->pid);
 		retval = -EINVAL;
 		goto out;
 
 	default:
-		printk("[%s:%d] irix_ulimit: Unknown command [%d].\n",
+		printk(KERN_WARNING "[%s:%d] irix_ulimit: Unknown command [%d].\n",
 		       current->comm, current->pid, cmd);
 		retval = -EINVAL;
 		goto out;
@@ -2187,7 +2187,7 @@
 
 asmlinkage int irix_unimp(struct pt_regs *regs)
 {
-	printk("irix_unimp [%s:%d] v0=%d v1=%d a0=%08lx a1=%08lx a2=%08lx "
+	printk(KERN_EMERG "irix_unimp [%s:%d] v0=%d v1=%d a0=%08lx a1=%08lx a2=%08lx "
 	       "a3=%08lx\n", current->comm, current->pid,
 	       (int) regs->regs[2], (int) regs->regs[3],
 	       regs->regs[4], regs->regs[5], regs->regs[6], regs->regs[7]);
diff -urN linux-2.6.0-test1/arch/mips/kernel/traps.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/traps.c
--- linux-2.6.0-test1/arch/mips/kernel/traps.c	2003-07-13 23:33:45.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/traps.c	2003-07-17 17:32:18.000000000 -0400
@@ -80,25 +80,25 @@
 
 	sp = sp ? sp : (unsigned long *) &sp;
 
-	printk("Stack: ");
+	printk(KERN_EMERG "Stack: ");
 	i = 1;
 	while ((unsigned long) sp & (PAGE_SIZE - 1)) {
 		if (i && ((i % (64 / sizeof(unsigned long))) == 0))
-			printk("\n       ");
+			printk(KERN_EMERG "\n       ");
 		if (i > 40) {
-			printk(" ...");
+			printk(KERN_EMERG " ...");
 			break;
 		}
 
 		if (__get_user(stackdata, sp++)) {
-			printk(" (Bad stack address)");
+			printk(KERN_EMERG " (Bad stack address)");
 			break;
 		}
 
-		printk(" %0*lx", field, stackdata);
+		printk(KERN_EMERG " %0*lx", field, stackdata);
 		i++;
 	}
-	printk("\n");
+	printk(KERN_EMERG "\n");
 }
 
 void show_trace(struct task_struct *task, unsigned long *stack)
@@ -109,18 +109,18 @@
 	if (!stack)
 		stack = (unsigned long*)&stack;
 
-	printk("Call Trace:");
+	printk(KERN_EMERG "Call Trace:");
 #ifdef CONFIG_KALLSYMS
-	printk("\n");
+	printk(KERN_EMERG "\n");
 #endif
 	while (((long) stack & (THREAD_SIZE-1)) != 0) {
 		addr = *stack++;
 		if (kernel_text_address(addr)) {
-			printk(" [<%0*lx>] ", field, addr);
+			printk(KERN_EMERG " [<%0*lx>] ", field, addr);
 			print_symbol("%s\n", addr);
 		}
 	}
-	printk("\n");
+	printk(KERN_EMERG "\n");
 }
 
 void show_trace_task(struct task_struct *tsk)
@@ -142,15 +142,15 @@
 {
 	long i;
 
-	printk("\nCode:");
+	printk(KERN_EMERG "\nCode:");
 
 	for(i = -3 ; i < 6 ; i++) {
 		unsigned int insn;
 		if (__get_user(insn, pc + i)) {
-			printk(" (Bad address in epc)\n");
+			printk(KERN_EMERG " (Bad address in epc)\n");
 			break;
 		}
-		printk("%c%08x%c", (i?' ':'<'), insn, (i?' ':'>'));
+		printk(KERN_EMERG "%c%08x%c", (i?' ':'<'), insn, (i?' ':'>'));
 	}
 }
 
@@ -159,62 +159,62 @@
 	const int field = 2 * sizeof(unsigned long);
 	int i;
 
-	printk("Cpu %d\n", smp_processor_id());
+	printk(KERN_EMERG "Cpu %d\n", smp_processor_id());
 
 	/*
 	 * Saved main processor registers
 	 */
 	for (i = 0; i < 32; i++) {
 		if ((i % 4) == 0)
-			printk("$%2d :", i);
+			printk(KERN_EMERG "$%2d :", i);
 		if (i == 0)
-			printk(" %0*lx", field, 0UL);
+			printk(KERN_EMERG " %0*lx", field, 0UL);
 		else if (i == 26 || i == 27)
-			printk(" %*s", field, "");
+			printk(KERN_EMERG " %*s", field, "");
 		else
-			printk(" %0*lx", field, regs->regs[i]);
+			printk(KERN_EMERG " %0*lx", field, regs->regs[i]);
 
 		i++;
 		if ((i % 4) == 0)
-			printk("\n");
+			printk(KERN_EMERG "\n");
 	}
 
-	printk("Hi      : %0*lx\n", field, regs->hi);
-	printk("Lo      : %0*lx\n", field, regs->lo);
+	printk(KERN_EMERG "Hi      : %0*lx\n", field, regs->hi);
+	printk(KERN_EMERG "Lo      : %0*lx\n", field, regs->lo);
 
 	/*
 	 * Saved cp0 registers
 	 */
-	printk("epc   : %0*lx    %s\n", field, regs->cp0_epc, print_tainted());
-	printk("Status: %0*lx\n", field, regs->cp0_status);
-	printk("Cause : %0*lx\n", field, regs->cp0_cause);
+	printk(KERN_EMERG "epc   : %0*lx    %s\n", field, regs->cp0_epc, print_tainted());
+	printk(KERN_EMERG "Status: %0*lx\n", field, regs->cp0_status);
+	printk(KERN_EMERG "Cause : %0*lx\n", field, regs->cp0_cause);
 
 	if (regs->cp0_status & ST0_KX)
-		printk("KX ");
+		printk(KERN_EMERG "KX ");
 	if (regs->cp0_status & ST0_SX)
-		printk("SX ");
+		printk(KERN_EMERG "SX ");
 	if (regs->cp0_status & ST0_UX)
-		printk("UX ");
+		printk(KERN_EMERG "UX ");
 	switch (regs->cp0_status & ST0_KSU) {
 	case KSU_USER:
-		printk("USER ");
+		printk(KERN_EMERG "USER ");
 		break;
 	case KSU_SUPERVISOR:
-		printk("SUPERVISOR ");
+		printk(KERN_EMERG "SUPERVISOR ");
 		break;
 	case KSU_KERNEL:
-		printk("KERNEL ");
+		printk(KERN_EMERG "KERNEL ");
 		break;
 	default:
-		printk("BAD_MODE ");
+		printk(KERN_EMERG "BAD_MODE ");
 		break;
 	}
 	if (regs->cp0_status & ST0_ERL)
-		printk("ERL ");
+		printk(KERN_EMERG "ERL ");
 	if (regs->cp0_status & ST0_EXL)
-		printk("EXL ");
+		printk(KERN_EMERG "EXL ");
 	if (regs->cp0_status & ST0_IE)
-		printk("IE ");
+		printk(KERN_EMERG "IE ");
 }
 
 void show_registers(struct pt_regs *regs)
@@ -222,12 +222,12 @@
 	const int field = 2 * sizeof(unsigned long);
 
 	show_regs(regs);
-	printk("Process %s (pid: %d, stackpage=%0*lx)\n",
+	printk(KERN_EMERG "Process %s (pid: %d, stackpage=%0*lx)\n",
 		current->comm, current->pid, field, (unsigned long) current);
 	show_stack(current, (long *) regs->regs[29]);
 	show_trace(current, (long *) regs->regs[29]);
 	show_code((unsigned int *) regs->cp0_epc);
-	printk("\n");
+	printk(KERN_EMERG "\n");
 }
 
 static spinlock_t die_lock = SPIN_LOCK_UNLOCKED;
@@ -239,10 +239,10 @@
 
 	console_verbose();
 	spin_lock_irq(&die_lock);
-	printk("%s", str);
+	printk(KERN_EMERG "%s", str);
 	if (file && func)
-		printk(" in %s:%s, line %ld", file, func, line);
-	printk("[#%d]:\n", ++die_counter);
+		printk(KERN_EMERG " in %s:%s, line %ld", file, func, line);
+	printk(KERN_EMERG "[#%d]:\n", ++die_counter);
 	show_registers(regs);
 	spin_unlock_irq(&die_lock);
 	do_exit(SIGSEGV);
@@ -700,15 +700,15 @@
 	unsigned int reg_val;
 
 	/* For the moment, report the problem and hang. */
-	printk("Cache error exception:\n");
-	printk("cp0_errorepc == %0*lx\n", field, read_c0_errorepc());
+	printk(KERN_EMERG "Cache error exception:\n");
+	printk(KERN_EMERG "cp0_errorepc == %0*lx\n", field, read_c0_errorepc());
 	reg_val = read_c0_cacheerr();
-	printk("c0_cacheerr == %08x\n", reg_val);
+	printk(KERN_EMERG "c0_cacheerr == %08x\n", reg_val);
 
-	printk("Decoded c0_cacheerr: %s cache fault in %s reference.\n",
+	printk(KERN_EMERG "Decoded c0_cacheerr: %s cache fault in %s reference.\n",
 	       reg_val & (1<<30) ? "secondary" : "primary",
 	       reg_val & (1<<31) ? "data" : "insn");
-	printk("Error bits: %s%s%s%s%s%s%s\n",
+	printk(KERN_EMERG "Error bits: %s%s%s%s%s%s%s\n",
 	       reg_val & (1<<29) ? "ED " : "",
 	       reg_val & (1<<28) ? "ET " : "",
 	       reg_val & (1<<26) ? "EE " : "",
@@ -716,14 +716,14 @@
 	       reg_val & (1<<24) ? "EI " : "",
 	       reg_val & (1<<23) ? "E1 " : "",
 	       reg_val & (1<<22) ? "E0 " : "");
-	printk("IDX: 0x%08x\n", reg_val & ((1<<22)-1));
+	printk(KERN_EMERG "IDX: 0x%08x\n", reg_val & ((1<<22)-1));
 
 #if defined(CONFIG_CPU_MIPS32) || defined (CONFIG_CPU_MIPS64)
 	if (reg_val & (1<<22))
-		printk("DErrAddr0: 0x%08x\n", read_c0_derraddr0());
+		printk(KERN_EMERG "DErrAddr0: 0x%08x\n", read_c0_derraddr0());
 
 	if (reg_val & (1<<23))
-		printk("DErrAddr1: 0x%08x\n", read_c0_derraddr1());
+		printk(KERN_EMERG "DErrAddr1: 0x%08x\n", read_c0_derraddr1());
 #endif
 
 	panic("Can't handle the cache error!");
@@ -739,10 +739,10 @@
 	unsigned long depc, old_epc;
 	unsigned int debug;
 
-	printk("SDBBP EJTAG debug exception - not handled yet, just ignored!\n");
+	printk(KERN_DEBUG "SDBBP EJTAG debug exception - not handled yet, just ignored!\n");
 	depc = read_c0_depc();
 	debug = read_c0_debug();
-	printk("c0_depc = %0*lx, DEBUG = %08x\n", field, depc, debug);
+	printk(KERN_DEBUG "c0_depc = %0*lx, DEBUG = %08x\n", field, depc, debug);
 	if (debug & 0x80000000) {
 		/*
 		 * In branch delay slot.
@@ -760,7 +760,7 @@
 	write_c0_depc(depc);
 
 #if 0
-	printk("\n\n----- Enable EJTAG single stepping ----\n\n");
+	printk(KERN_DEBUG "\n\n----- Enable EJTAG single stepping ----\n\n");
 	write_c0_debug(debug | 0x100);
 #endif
 }
@@ -770,7 +770,7 @@
  */
 void nmi_exception_handler(struct pt_regs *regs)
 {
-	printk("NMI taken!!!!\n");
+	printk(KERN_EMERG "NMI taken!!!!\n");
 	die("NMI", regs);
 	while(1) ;
 }
diff -urN linux-2.6.0-test1/arch/mips/lasat/interrupt.c linux-2.6.0-test1-printk-mips/arch/mips/lasat/interrupt.c
--- linux-2.6.0-test1/arch/mips/lasat/interrupt.c	2003-07-13 23:35:15.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/lasat/interrupt.c	2003-07-16 15:19:03.000000000 -0400
@@ -142,7 +142,7 @@
 
 	/* if action == NULL, then we don't have a handler for the irq */
 	if (action == NULL) {
-		printk("No handler for hw0 irq: %i\n", irq);
+		printk(KERN_WARNING "No handler for hw0 irq: %i\n", irq);
 		atomic_inc(&irq_err_count);
 		disable_lasat_irq(irq);
 		return;
@@ -171,7 +171,7 @@
 		*lasat_int_mask = 0;
 		break;
 	case MACH_LASAT_200:
-		printk("**** MACH_LASAT_200 interrupt routines\n");
+		printk(KERN_NOTICE "**** MACH_LASAT_200 interrupt routines\n");
 		lasat_int_status = (void *)LASAT_INT_STATUS_REG_200;
 		lasat_int_mask = (void *)LASAT_INT_MASK_REG_200;
 		lasat_int_mask_shift = LASATINT_MASK_SHIFT_200;
diff -urN linux-2.6.0-test1/arch/mips/lasat/picvue_proc.c linux-2.6.0-test1-printk-mips/arch/mips/lasat/picvue_proc.c
--- linux-2.6.0-test1/arch/mips/lasat/picvue_proc.c	2003-07-13 23:29:29.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/lasat/picvue_proc.c	2003-07-16 15:16:42.000000000 -0400
@@ -43,7 +43,7 @@
 	int lineno = *(int *)data;
 
 	if (lineno < 0 || lineno > PVC_NLINES) {
-		printk("proc_read_line: invalid lineno %d\n", lineno);
+		printk(KERN_ERR "proc_read_line: invalid lineno %d\n", lineno);
 		return 0;
 	}
 
@@ -61,7 +61,7 @@
 	int lineno = *(int *)data;
 
 	if (lineno < 0 || lineno > PVC_NLINES) {
-		printk("proc_write_line: invalid lineno %d\n", lineno);
+		printk(KERN_ERR "proc_write_line: invalid lineno %d\n", lineno);
 		return origcount;
 	}
 
diff -urN linux-2.6.0-test1/arch/mips/lasat/reset.c linux-2.6.0-test1-printk-mips/arch/mips/lasat/reset.c
--- linux-2.6.0-test1/arch/mips/lasat/reset.c	2003-07-13 23:33:12.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/lasat/reset.c	2003-07-16 15:17:52.000000000 -0400
@@ -42,7 +42,7 @@
 	local_irq_disable();
 
 	if (lasat_boot_to_service) {
-		printk("machine_restart: Rebooting to service mode\n");
+		printk(KERN_ALERT "machine_restart: Rebooting to service mode\n");
 		*(volatile unsigned int *)0xa0000024 = 0xdeadbeef;
 		*(volatile unsigned int *)0xa00000fc = 0xfedeabba;
 	}
